@import url("./reset.css");
@import url(./variables.css);

/* Bestsellers / Shop */

html {
  scroll-behavior: smooth;
}

.best-sellers {
  text-align: center;
  margin: 20px 0;
  color: var(--color-primary);
}

.jacket_image {
  max-width: 230px;
  max-height: 270px;
  min-height: 270px;
}

.jacket_name {
  margin-top: 6px;
  font-size: 1.4em;
  color: var(--color-primary);
}

.jacket_description {
  margin-top: 6px;
  font-size: 0.9em;
  color: var(--color-primary);
}

.jacket_price {
  margin-top: 6px;
  font-size: 1.1em;
  color: #ec5858;
}

.product-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(280px, 1fr));
  gap: 20px;
  margin: 50px 90px;
  justify-content: center;
}

.product-item {
  background: #fff;
  border: 1px solid #ddd;
  border-radius: 7px;
  text-align: center;
  padding: 10px;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
}

.cta-small {
  background: #53a4b9;
  border: none;
  color: #fff;
  border-radius: 5px;
  padding: 15px 70px;
  margin-top: 7px;
  cursor: pointer;
  max-width: 250px;
  align-items: center;
}

.back_to_top {
  display: flex;
  justify-content: center;
  margin-bottom: 35px;
  text-decoration: underline;
  color: var(--color-primary);
  font-size: 0.9rem;
}

#genderFilter {
  display: block;
  margin: 0 auto;
  padding: 10px;
  color: var(--color-primary);
  border-radius: 5px;
}

.loaderText {
  text-align: center;
  margin-top: 15px;
  margin-bottom: 15px;
}
